%{?nodejs_find_provides_and_requires}
%global enable_tests 0
Name:                nodejs-string
Version:             3.1.1
Release:             1
Summary:             Enhancements to the vanilla JavasScript string
License:             MIT
URL:                 https://www.npmjs.org/package/string
Source0:             http://registry.npmjs.org/string/-/string-%{version}.tgz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging >= 6
%if 0%{?enable_tests}
BuildRequires:       npm(uglify-js) npm(istanbul) npm(mocha)
%endif

%description
string contains methods that aren't included in the vanilla JavaScript string
such as escaping html, decoding html entities, stripping tags, etc

%prep
%setup -q -n package
rm -rf node_modules/
%nodejs_fixdep --caret

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/string
cp -pr package.json lib \
    %{buildroot}%{nodejs_sitelib}/string
%nodejs_symlink_deps

%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
mocha test
%endif

%files
%doc CHANGELOG.md README.md
%{nodejs_sitelib}/string/

%changelog
* Tue Aug 11 2020 wangyue <wangyue92@huawei.com> - 3.1.1-1
- package init
